Debian Bug report logs - #395034
python-4suite-rdf: file conflict with python-4suite-xml

version graph

Package: python-4suite-rdf; Maintainer for python-4suite-rdf is (unknown);

Reported by: "Aaron M. Ucko" <ucko@debian.org>

Date: Tue, 24 Oct 2006 15:48:11 UTC

Severity: grave

Found in version python-4suite/1.0~rc4cvs20061016-1

Done: Riccardo Stagni <unriccio@email.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ucko@debian.org, Raphael Bossek <bossekr@debian.org>:
Bug#395034; Package python-4suite-rdf. Full text and rfc822 format available.

Acknowledgement sent to "Aaron M. Ucko" <ucko@debian.org>:
New Bug report received and forwarded. Copy sent to ucko@debian.org, Raphael Bossek <bossekr@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Aaron M. Ucko" <ucko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-4suite-rdf: file conflict with python-4suite-xml
Date: Tue, 24 Oct 2006 11:01:26 -0400
Package: python-4suite-rdf
Version: 1.0~rc4cvs20061016-1
Severity: grave
Justification: renders package unusable (uninstallable)

> dpkg: error processing /var/cache/apt/archives/python-4suite-rdf_1.0~rc4cvs20061016-1_amd64.deb (--unpack):
>  trying to overwrite `/usr/share/doc/4Suite/COPYRIGHT', which is also in package python-4suite-xml
> dpkg-deb: subprocess paste killed by signal (Broken pipe)
> Errors were encountered while processing:
>  /var/cache/apt/archives/python-4suite-rdf_1.0~rc4cvs20061016-1_amd64.deb
> E: Sub-process /usr/bin/dpkg returned an error code (1)

This is particularly problematic given that python-4suite-rdf
*depends* on python-4suite-xml, and as such really has no reason to
ship files the latter already contains.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)



Information forwarded to debian-bugs-dist@lists.debian.org, Raphael Bossek <bossekr@debian.org>:
Bug#395034; Package python-4suite-rdf. Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to Raphael Bossek <bossekr@debian.org>. Full text and rfc822 format available.

Message #10 received at 395034@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: 395034@bugs.debian.org
Subject: bug #395034 is neither RC bug nor bug at all
Date: Mon, 8 Jan 2007 19:37:11 +0100
[Message part 1 (text/plain, inline)]
Hi,

I investigated on bug #395034, but could not reproduce it. I built the latest
sources in the archive, but they do not show the bug and the built packages are 
perfectly installable.

No version available from snapshot.debian.net has this bug, so I'm not sure 
where it came from in the first place. 

However, looking at 

http://packages.debian.org/cgi-bin/search_contents.pl?searchmode=filelist&word=python-4suite-xml&version=unstable&arch=amd64&page=2&number=50

and 

http://packages.debian.org/cgi-bin/search_contents.pl?searchmode=filelist&word=python-4suite-rdf&version=unstable&arch=amd64

the problem is visible. 

So apparently the binaries in the archive are buggy and it looks like
simply rebuilding the package solves the problem. I have no idea what
caused this bug though.

Taking a closer look I saw that amd64 is the only arch that is affected
by this bug. I guess amd64 was the arch of the initial upload and
something was wrong with the build system. However a simple rebuilt
solves the problem. I tested building the package on amd64 -- valid
packages.

Could you please upload binary packages for amd64 to close this RC
bug.


Thanks,

Michael





Thanks,

Michael

-- 
GPG key:  1024D/3144BE0F Michael Hanke
http://apsy.gse.uni-magdeburg.de/hanke
ICQ: 48230050
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Raphael Bossek <bossekr@debian.org>:
Bug#395034; Package python-4suite-rdf. Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to Raphael Bossek <bossekr@debian.org>. Full text and rfc822 format available.

Message #15 received at 395034@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: debian-release@lists.debian.org
Cc: 395034@bugs.debian.org
Subject: RC bug #395034 fixable by amd64 binNMU
Date: Tue, 9 Jan 2007 09:14:02 +0100
[Message part 1 (text/plain, inline)]
Hi,

RC bug #395034 complains about python-4suite-{rdf|xml} being uninstallable
because they both contain the same file and -rdf depends on -xml.

I did some research and discovered that this only affects the amd64
packages in the archive. Other arches are not affected.

I rebuilt the amd64 packages with pbuilder and the resulting binary
packages do not have this bugs. Please refer to 

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=395034

for more information.

I think a binNMU of the amd64 packages fixes this bug. However, I cannot
do this myself, because I'm not a DD and it doesn't make much sense to
prepare a bin NMU that has to be rebuilt anyway.


Thanks,

Michael


-- 
GPG key:  1024D/3144BE0F Michael Hanke
http://apsy.gse.uni-magdeburg.de/hanke
ICQ: 48230050
[signature.asc (application/pgp-signature, inline)]

Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Aaron M. Ucko" <ucko@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 395034-done@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: debian-release@lists.debian.org, 395034-done@bugs.debian.org
Subject: Re: RC bug #395034 fixable by amd64 binNMU
Date: Tue, 9 Jan 2007 04:24:00 -0800
On Tue, Jan 09, 2007 at 09:14:02AM +0100, Michael Hanke wrote:

> RC bug #395034 complains about python-4suite-{rdf|xml} being uninstallable
> because they both contain the same file and -rdf depends on -xml.

> I did some research and discovered that this only affects the amd64
> packages in the archive. Other arches are not affected.

> I rebuilt the amd64 packages with pbuilder and the resulting binary
> packages do not have this bugs. Please refer to 

> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=395034

> for more information.

> I think a binNMU of the amd64 packages fixes this bug. However, I cannot
> do this myself, because I'm not a DD and it doesn't make much sense to
> prepare a bin NMU that has to be rebuilt anyway.

Scheduled on the autobuilder.  No further action should be required for
resolving this bug, closing accordingly.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Raphael Bossek <bossekr@debian.org>:
Bug#395034; Package python-4suite-rdf. Full text and rfc822 format available.

Acknowledgement sent to ucko@debian.org (Aaron M. Ucko):
Extra info received and forwarded to list. Copy sent to Raphael Bossek <bossekr@debian.org>. Full text and rfc822 format available.

Message #25 received at 395034@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: 395034@bugs.debian.org
Cc: "Aaron M. Ucko" <ucko@debian.org>, Michael Hanke <michael.hanke@gmail.com>, debian-release@lists.debian.org, control@bugs.debian.org
Subject: Re: Bug#395034 closed by Steve Langasek <vorlon@debian.org> (Re: RC bug #395034 fixable by amd64 binNMU)
Date: Tue, 09 Jan 2007 19:29:09 -0500
reopen 395034
thanks

owner@bugs.debian.org (Debian Bug Tracking System) writes:

> From: Steve Langasek <vorlon@debian.org>
[...]
> Scheduled on the autobuilder.  No further action should be required for
> resolving this bug, closing accordingly.

Thanks, but the rebuilt packages have the same problem, differing from
the original build (which, incidentally, also ran on the same
autobuilder [nautilus] -- the maintainer uploaded i386 binaries) only
in lacking python2.3 support. :-/

Assuming I can get correct packages out of pbuilder, would it be
appropriate for me to upload them?

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
Finger amu@monk.mit.edu (NOT a valid e-mail address) for more info.



Bug reopened, originator not changed. Request was from ucko@debian.org (Aaron M. Ucko) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Raphael Bossek <bossekr@debian.org>:
Bug#395034; Package python-4suite-rdf. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Raphael Bossek <bossekr@debian.org>. Full text and rfc822 format available.

Message #32 received at 395034@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: "Aaron M. Ucko" <ucko@debian.org>, 395034@bugs.debian.org
Cc: Michael Hanke <michael.hanke@gmail.com>, debian-release@lists.debian.org
Subject: Re: Bug#395034: closed by Steve Langasek <vorlon@debian.org> (Re: RC bug #395034 fixable by amd64 binNMU)
Date: Tue, 9 Jan 2007 16:46:24 -0800
On Tue, Jan 09, 2007 at 07:29:09PM -0500, Aaron M. Ucko wrote:
> reopen 395034
> thanks

> owner@bugs.debian.org (Debian Bug Tracking System) writes:

> > From: Steve Langasek <vorlon@debian.org>
> [...]
> > Scheduled on the autobuilder.  No further action should be required for
> > resolving this bug, closing accordingly.

> Thanks, but the rebuilt packages have the same problem, differing from
> the original build (which, incidentally, also ran on the same
> autobuilder [nautilus] -- the maintainer uploaded i386 binaries) only
> in lacking python2.3 support. :-/

> Assuming I can get correct packages out of pbuilder, would it be
> appropriate for me to upload them?

Not if they can't be reproduced reliably on the autobuilders; that points to
a sourceful bug in the package that needs to be addressed.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Raphael Bossek <bossekr@debian.org>:
Bug#395034; Package python-4suite-rdf. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to Raphael Bossek <bossekr@debian.org>. Full text and rfc822 format available.

Message #37 received at 395034@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: 395034@bugs.debian.org, 395034-submitter@bugs.debian.org, Michael Hanke <michael.hanke@gmail.com>
Cc: control@bugs.debian.org
Subject: Bug affects all autobuilt arches
Date: Wed, 10 Jan 2007 13:36:20 +1100
[Message part 1 (text/plain, inline)]
tags 395034 +patch
Thankyou

According to packages.debian.org, every arch except i386 has
this bug.

The bug is really that install_text is being run which puts
stuff in /usr/share/doc/4Suite.

i386 build doesn't even have this directory.

Well, hurd-i386 doesn't have it either...

I don't know why people's local builds are working... Check your logs
for "running install_text"...

Anyway, here's a dpatch to try (not tested, I don't have an autobuilder
^_^)

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[22-NoJunkInUSDoc.dpatch (text/plain, inline)]
#! /bin/sh -e
## 21-stdint-include.dpatch by Matthias Klose <doko@ubuntu.com>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: Don't install stuff into /usr/share/doc/4Suite

if [ $# -lt 1 ]; then
    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
    exit 1
fi

[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"

case "$1" in
    -patch) patch -p1 ${patch_opts} < $0;;
    -unpatch) patch -R -p1 ${patch_opts} < $0;;
    *)
        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
        exit 1;;
esac

exit 0

@DPATCH@
--- ./4Suite/setup.py.org	2007-01-10 13:27:33.000000000 +1100
+++ ./4Suite/setup.py	2007-01-10 13:27:36.000000000 +1100
@@ -38,7 +38,7 @@
                         ],
 
     # Used by Windows binary installer (bdist_inno)
-    license_file='COPYRIGHT',
+    #license_file='COPYRIGHT',
 
     # Fields used in package metadata 1.0 (PEP 241 / Python 2.1+):
     name='4Suite',
--- ./4Suite/packages/Xml.pkg.org	2007-01-10 13:27:47.000000000 +1100
+++ ./4Suite/packages/Xml.pkg	2007-01-10 13:28:27.000000000 +1100
@@ -206,7 +206,7 @@
     ]
 
 doc_files = [
-    File('README'),
+#    File('README'),
 
     Document('docs/xml/index.doc', 'sdocbook',
              title='4Suite Documentation Index',
[Message part 3 (application/pgp-signature, inline)]

Tags added: patch Request was from Paul TBBle Hampson <Paul.Hampson@Pobox.com> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to "Aaron M. Ucko" <ucko@debian.org>:
Bug#395034. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Raphael Bossek <bossekr@debian.org>:
Bug#395034; Package python-4suite-rdf. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to Raphael Bossek <bossekr@debian.org>. Full text and rfc822 format available.

Message #47 received at 395034@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: 395034@bugs.debian.org, 395034-submitter@bugs.debian.org, Michael Hanke <michael.hanke@gmail.com>
Cc: control@bugs.debian.org
Subject: Re: Bug affects all autobuilt arches
Date: Wed, 10 Jan 2007 14:42:19 +1100
[Message part 1 (text/plain, inline)]
tags 395034 -patch
Thankyou

On Wed, Jan 10, 2007 at 01:36:20PM +1100, Paul TBBle Hampson wrote:
> According to packages.debian.org, every arch except i386 has
> this bug.

> The bug is really that install_text is being run which puts
> stuff in /usr/share/doc/4Suite.

Actually, the bug is just exposed by doing that.

Here's the relevant chunk from the buildd:

dh_installchangelogs -a
dh_link -a

And here's the failure my patched caused on a local build:
dh_installchangelogs -i
for pkgname in python-4suite-xml python-4suite-rdf python-4suite-server; do \
                cat "debian/${pkgname}/usr/share/doc/4Suite/COPYRIGHT" >>"debian/${pkgname}/usr/share/doc/${pkgname}/copyright"; \
                rm "debian/${pkgname}/usr/share/doc/4Suite/COPYRIGHT"; \
                mv "debian/${pkgname}/usr/share/doc/4Suite/"* "debian/${pkgname}/usr/share/doc/${pkgname}" 2>/dev/null; \
                rm -r "debian/${pkgname}/usr/share/doc/4Suite"; \
        done
cat: debian/python-4suite-xml/usr/share/doc/4Suite/COPYRIGHT: No such file or directory
rm: cannot remove `debian/python-4suite-xml/usr/share/doc/4Suite/COPYRIGHT': No such file or directory
rm: cannot remove `debian/python-4suite-xml/usr/share/doc/4Suite': No such file or directory
cat: debian/python-4suite-rdf/usr/share/doc/4Suite/COPYRIGHT: No such file or directory
rm: cannot remove `debian/python-4suite-rdf/usr/share/doc/4Suite/COPYRIGHT': No such file or directory
rm: cannot remove `debian/python-4suite-rdf/usr/share/doc/4Suite': No such file or directory
cat: debian/python-4suite-server/usr/share/doc/4Suite/COPYRIGHT: No such file or directory
rm: cannot remove `debian/python-4suite-server/usr/share/doc/4Suite/COPYRIGHT': No such file or directory
rm: cannot remove `debian/python-4suite-server/usr/share/doc/4Suite': No such file or directory
make: *** [binary-indep] Error 1

So the fix is to move the for pkgname.... lines from the
binary-indep rule to the binary-arch rule in debian/rules,
as they operate on the Arch: any packages.

So that's an easy fix. ^_^

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Tags removed: patch Request was from Paul TBBle Hampson <Paul.Hampson@Pobox.com> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to "Aaron M. Ucko" <ucko@debian.org>:
Bug#395034. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Raphael Bossek <bossekr@debian.org>:
Bug#395034; Package python-4suite-rdf. Full text and rfc822 format available.

Acknowledgement sent to ucko@debian.org (Aaron M. Ucko):
Extra info received and forwarded to list. Copy sent to Raphael Bossek <bossekr@debian.org>. Full text and rfc822 format available.

Message #57 received at 395034@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: "Aaron M. Ucko" <ucko@debian.org>
Cc: 395034@bugs.debian.org, Michael Hanke <michael.hanke@gmail.com>, debian-release@lists.debian.org
Subject: Re: Bug#395034: closed by Steve Langasek <vorlon@debian.org> (Re: RC bug #395034 fixable by amd64 binNMU)
Date: Wed, 10 Jan 2007 10:11:01 -0500
Steve Langasek <vorlon@debian.org> writes:

> Not if they can't be reproduced reliably on the autobuilders; that points to
> a sourceful bug in the package that needs to be addressed.

That's what I suspected, but it's a moot point anyway given Paul's
analysis, which would seem to indicate that Michael forgot pbuilder's
--binary-arch flag and moreover has a very narrow definition of "other
arches".

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
Finger amu@monk.mit.edu (NOT a valid e-mail address) for more info.



Information forwarded to debian-bugs-dist@lists.debian.org, Raphael Bossek <bossekr@debian.org>:
Bug#395034; Package python-4suite-rdf. Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to Raphael Bossek <bossekr@debian.org>. Full text and rfc822 format available.

Message #62 received at 395034@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: "Aaron M. Ucko" <ucko@debian.org>
Cc: 395034@bugs.debian.org
Subject: Re: Bug#395034: closed by Steve Langasek <vorlon@debian.org> (Re: RC bug #395034 fixable by amd64 binNMU)
Date: Wed, 10 Jan 2007 16:33:22 +0100
On Wed, Jan 10, 2007 at 10:11:01AM -0500, Aaron M. Ucko wrote:
> Steve Langasek <vorlon@debian.org> writes:
> 
> > Not if they can't be reproduced reliably on the autobuilders; that points to
> > a sourceful bug in the package that needs to be addressed.
> 
> That's what I suspected, but it's a moot point anyway given Paul's
> analysis, which would seem to indicate that Michael forgot pbuilder's
> --binary-arch flag and moreover has a very narrow definition of "other
> arches".
Unfortunately, you're right. I was not a accurate as I should have been.
Sorry about that.

Michael


-- 
GPG key:  1024D/3144BE0F Michael Hanke
http://apsy.gse.uni-magdeburg.de/hanke
ICQ: 48230050



Reply sent to Riccardo Stagni <unriccio@email.it>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Aaron M. Ucko" <ucko@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #67 received at 395034-done@bugs.debian.org (full text, mbox):

From: Riccardo Stagni <unriccio@email.it>
To: 395034-done@bugs.debian.org
Subject: closing
Date: Sat, 3 May 2008 02:08:22 +0200
[Message part 1 (text/plain, inline)]
python-4suite-rdf was dropped in favour of python-4suite-xml
(bug #416603 was about the same issue)

ciao
R,
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 31 May 2008 07:33:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:28:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.